#undef LINUX

#ifndef PCIROMBURN_H
#define PCIROMBURN_H

/* DSP Commands */
#define RESET_CONTROLLER	0x807D
#define LOAD_APPLICATION	0x807F
#define MANUAL_COMMAND 		0x8081
#define READ_PCI_STATUS 	0x8083
#define TEST_DATA_LINK		0x8085
#define READ_MEMORY  		0x8087
#define WRITE_MEMORY  		0x8089
#define PCI_DOWNLOAD  		0x808B
#define POWER_ON		0x808D
#define POWER_OFF		0x808F
#define SET_BIAS_VOLTAGES	0x8091
#define  CLEAR_ARRAY 		0x8093
#define STOP_IDLE_MODE		0x8095
#define RESUME_IDLE_MODE  	0x8097
#define READ_EXPOSURE_TIME	0x8099
#define START_EXPOSURE 		0x809B
#define READ_IMAGE     		0x809D
#define ABORT_READOUT   	0x809F
#define ABORT_EXPOSURE 		0x80A1
#define PAUSE_EXPOSURE		0x80A3
#define RESUME_EXPOSURE		0x80A5
#define RESERVED_1     		0x80A7
#define OPEN_SHUTTER   		0x80A9
#define CLOSE_SHUTTER		0x80AB
#define SET_ARRAY_TEMPERATURE 	0x80AD
#define READ_ARRAY_TEMPERATURE 	0x80AF
#define DON                  	0x00444F4E
#define ERR			0x00455252
#define SYR               	0x00535952
#define SGN			0x0053474E
#define NONE			0x4E4F4E45
#define CLEARED_REPLY_VALUE	-1

#define PCI_ID			1
#define TIM_ID			2
#define UTIL_ID			3

#define D			0x5f5f44	/*  Ascii __D  */
#define R			0x5f5f52	/*  Ascii __R  */
#define P			0x5f5f50	/*  Ascii __P  */
#define X 			0x5f5f58	/*  Ascii __X  */
#define Y 			0x5f5f59	/*  Ascii __Y  */

/* Device Driver Commands */
#define ASTROPCI_GET_CMDR		0x0
#define ASTROPCI_GET_REPLY		0x3
#define ASTROPCI_GET_HCTR		0x5
#define ASTROPCI_GET_HSTR		0x6
#define ASTROPCI_GET_PROGRESS		0x7
#define ASTROPCI_GET_CONFIG_INFO        0x314
#define ASTROPCI_SET_CMDR  		0x100
#define ASTROPCI_SET_ARG1 	        0x105
#define ASTROPCI_SET_ARG2 	        0x106
#define ASTROPCI_SET_ARG3 	        0x107
#define ASTROPCI_SET_ARG4 	        0x108
#define ASTROPCI_SET_ARG5 	        0x109
#define ASTROPCI_SET_ARGS 	        0x110
#define ASTROPCI_SET_DESTINATION	0x111
#define ASTROPCI_SET_HCTR 	        0x115
#define ASTROPCI_SET_HCVR 	        0x117
#define ASTROPCI_SET_EXPTIME 	        0x119
#define ASTROPCI_SET_NCOLS 	        0x120
#define ASTROPCI_SET_NROWS 	        0x121
#define ASTROPCI_SET_IMAGE_BUFFERS	0x122
#define ASTROPCI_SET_UTIL_OPTIONS	0x123
#define ASTROPCI_CLEAR_REPLY		0x301

#endif
